<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~sequencing_started.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Register sequencing started" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">

	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select flow cells</div>
		<div class="step-content">

			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">Flow cells</td>
				<td class="input">
					<select class="required" name="flowcells" id="flowcells"></select>
				</td>
				<td class="status" id="flowcells.status"></td>
				<td class="help">
					<span id="flowcells.message" class="message"></span>
					Select the flow cell. The list contain all flow cells that
					has not yet been sequenced (determined by the absence of a 'creation' date).
				</td>
			</tr>
			<tr>
				<td class="prompt">Outcome</td>
				<td class="input">
					<label><input type="radio" name="outcome" id="outcomeSuccess" 
						checked>Success</label> - the sequencing has been started<br>
					<label><input type="radio" name="outcome" id="outcomeFailed" 
						>Failure</label> - the sequencing could not be started
				</td>
				<td class="status" id="outcome.status"></td>
				<td class="help">
					<span id="outcome.message" class="message"></span>
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Sequencing startup information</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Flow cell ID</td>
				<td class="input">
					<input type="text" name="externalId" id="externalId"
						class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="startDate"
						style="width: 12em;">
				</td>
				<td class="status" id="externalId.status"></td>
				<td class="help">
					<span id="externalId.message" class="message"></span>
					The barcode of the flow cell.
				</td>
			</tr>
			<tr>
				<td class="prompt">Start date</td>
				<td class="input">
					<input type="text" name="startDate" id="startDate"
						class="auto-init required" data-auto-init="focus-on-enter" data-next-focus="sequencingOperator"
						style="width: 12em;" maxlength="10">
				
						<base:icon 
							id="startDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="startDate"
							data-date-format="yyyyMMdd"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="startDate.status"></td>
				<td class="help">
					<span id="startDate.message" class="message"></span>
					Date the sequencing was started (YYYYMMDD or MMDD)
				</td>
			</tr>
			<tr>
				<td class="prompt">Operator</td>
				<td class="input">
					<input type="text" name="sequencingOperator" id="sequencingOperator" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="sequencer"
						value="<%=HTML.encodeTags(user.getName()) %>" 
						maxlength="255">
				</td>
				<td class="status" id="sequencingOperator.status"></td>
				<td class="help">
					<span id="sequencingOperator.message" class="message"></span>
				</td>
			</tr>
			<tr>
				<td class="prompt">Sequencing machine</td>
				<td class="input">
					<select name="sequencer" id="sequencer"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="sequencerPosition.A"
					></select>
				</td>
				<td class="status" id="sequencer.status"></td>
				<td class="help">
					<span id="sequencer.message" class="message"></span>
					Select the sequencing machine used to sequence the selected flow cells.
				</td>
			</tr>
			<tr>
				<td class="prompt">Sequencer position</td>
				<td class="input">
					<label><input type="radio" name="sequencerPosition" id="sequencerPosition.A"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="sequencingProtocol"
						value="A" checked>A</label>
					<label><input type="radio" name="sequencerPosition" id="sequencerPosition.B"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="sequencingProtocol"
						value="B">B</label>
				</td>
				<td class="status" id="sequencerPosition.status"></td>
				<td class="help">
					<span id="sequencerPosition.message" class="message"></span>
					NextSeq should always be <b>A</b>.
				</td>
			</tr>
			<tr>
				<td class="prompt">Protocol</td>
				<td class="input">
					<select name="sequencingProtocol" id="sequencingProtocol"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="comments"
					></select>
				</td>
				<td class="status" id="sequencingProtocoll.status"></td>
				<td class="help">
					<span id="sequencingProtocol.message" class="message"></span>
					Select the protocol which was used for sequencing.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Comments</td>
				<td class="input">
					<textarea name="comments" id="comments" rows="4"></textarea>
				</td>
				<td class="status" id="comments.status"></td>
				<td class="help">
					<span id="comments.message" class="message"></span>
					Comments about the sequencing startup.
				</td>
			</tr>
			<tbody id="auto-analyze-section" style="display: none;">
				<tr class="section-header">
					<td colspan="4">Auto-analyze options</td>
				</tr>
				<tr>
					<td class="subprompt">Auto-analyze</td>
					<td class="input">
						<label><input type="radio" name="autoAnalyze" id="autoAnalyzeYes" disabled>Yes</label>
						<label><input type="radio" name="autoAnalyze" id="autoAnalyzeNo" disabled>No</label>
					</td>
					<td class="status" id="autoAnalyze.status"></td>
					<td class="help">
						<span id="autoAnalyze.message" class="message"></span>
						If the auto-analyze option is enabled, Reggie will automatically detect
						when the sequencing has ended and, if everything seems to be okay,
						then start secondary analysis.
					</td>
				</tr>
				<tr>
					<td class="subprompt">Open Grid Cluster</td>
					<td class="input">
						<select name="clusters" id="clusters" class="required" disabled></select>
					</td>
					<td class="status" id="clusters.status"></td>
					<td class="help">
						<span id="clusters.message" class="message"></span>
						Select the cluster to use for running the analysis.
					</td>
				</tr>
				<tr>
					<td class="subprompt">Job priority</td>
					<td class="input">
						<select name="priority" id="priority" disabled></select>
					</td>
					<td class="status" id="priority.status"></td>
					<td class="help">
						<span id="priority.message" class="message"></span>
						Select the priority of the analysis jobs.
					</td>
				</tr>
				<tr>
					<td class="subprompt">Debug</td>
					<td class="input"><input type="checkbox" name="debug" disabled></td>
					<td class="status" id="debug.status"></td>
					<td class="help">
						<span id="debug.message" class="message"></span>
						When running in debug mode only part of the sequenced data is used and
						temporary files are not removed from the cluster nodes.
					</td>
				</tr>
			</tbody>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>